cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
Back again with another edition of 'How we use Dropbox', so find out how Emma uses to-do lists to get it all done here!

Dropbox API Support & Feedback

Find help with the Dropbox API from other developers.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Getting error: "This app is not allowed to query for scheme dbapi-2" after upgrade to version 1.3.13 for iOS

Getting error: "This app is not allowed to query for scheme dbapi-2" after upgrade to version 1.3.13 for iOS

Ben K.17
Explorer | Level 3

I recently upgraded my dropbox SDK to version 1.3.13 to support 64-bit devices.  However, I am now getting the error:

-canOpenURL: failed for URL: "dbapi-2://1/connect" - error: "This app is not allowed to query for scheme dbapi-2"

Do I need to generate a new key to use this version?

Thanks

7 Replies 7

Re: Getting error: "This app is not allowed to query for scheme dbapi-2" after upgrade to version 1.3.13 for iOS

Mark
Super User II

*moves to API forum as you're more likely to get help there*


 


:penguin::penguin: - :penguin: - :penguin: - :penguin:


Heart Did this post help you? If so please mark it for some Kudos below. 


:white_check_mark: Did this post fix your issue/answer your question? If so please press the 'Accept as Solution' button to help others find it.


:arrows_counterclockwise: Did this post not resolve your issue? If so please give us some more information so we can try and help - please remember we cannot see over your shoulder so be as descriptive as possible! 


 

Re: Getting error: "This app is not allowed to query for scheme dbapi-2" after upgrade to version 1.3.13 for iOS

Steve M.
Dropboxer

(Thanks, Mark!)

Ben, I assume you're using iOS 9? Take a look at https://blogs.dropbox.com/developers/2015/08/important-update-your-core-api-app-for-ios-9/.

Re: Getting error: "This app is not allowed to query for scheme dbapi-2" after upgrade to version 1.3.13 for iOS

Ben K.17
Explorer | Level 3

Yes, that's correct, and this did soleve it thanks. This requires that the dropbox mobile app must be on the device also, and I didn't think that was required before.  Do I have that wrong?

 

Thanks, again

Re: Getting error: "This app is not allowed to query for scheme dbapi-2" after upgrade to version 1.3.13 for iOS

Steve M.
Dropboxer

I assume you're using the Core API and seeing this during auth?

If so, no the Dropbox app doesn't need to be installed. If the app is present, a streamlined authorization will happen in the Dropbox app. If it's not present, the authorization will happen in a web view embedded in your app.

Re: Getting error: "This app is not allowed to query for scheme dbapi-2" after upgrade to version 1.3.13 for iOS

Victor A.14
New member | Level 1

Hi Steve,

 

Can you please elaborate? I have the same problem after updating to IOS 9.1 (xcode 7.1.1). I have included dbapi-1, dbapi-2 and dbapi-3 in LSApplicationQueriesSchemes. Now I can access to save and load to Dropbox again, but just if the app is installed. If the app is not installed I keep getting the  error: 

-canOpenURL: failed for URL: "dbapi-2://1/connect" - error: "(null)"

It used to work before.

Re: Getting error: "This app is not allowed to query for scheme dbapi-2" after upgrade to version 1.3.13 for iOS

Greg-DB
Dropboxer

Hi Victor, it looks like you posted on two threads, so I'll follow up on the other one:

https://www.dropboxforum.com/hc/en-us/community/posts/204284526-ios9-canOpenURL-failed-for-URL-dbapi...

Re: Getting error: "This app is not allowed to query for scheme dbapi-2" after upgrade to version 1.3.13 for iOS

Victor A.14
New member | Level 1

Hi Gregory,

Sorry. It was my fault. I was presenting this:

[[DBSession sharedSession] linkFromController:this];

from the wrong controller.

It's all right now with the dbapi-2 application queries scheme.

Thank you.

Who's talking

Top contributors to this post

  • User avatar
    Victor A.14 New member | Level 1
  • User avatar
    Greg-DB Dropboxer
  • User avatar
    Steve M. Dropboxer
  • User avatar
    Ben K.17 Explorer | Level 3
What do Dropbox user levels mean?
Need more support?